Davix::StatInfo Struct Reference

StatInfo structcontainer for base file meta-data, plateform agnostic stat struct. More...

`#include <davix_file_types.hpp>`

## Public Member Functions

void | fromPosixStat (const struct stat &st)
| struct converter from POSIX stat
struct stat & | toPosixStat (struct stat &st)
| struct converter to POSIX stat

## Data Fields

dav_size_t | size
| size in bytes of the resource
dav_ssize_t | nlink
mode_t | mode
time_t | atime
| access time
time_t | mtime
| modification time
time_t | ctime
| creation time
uid_t | owner
| owner UID
gid_t | group
| group UID

## Detailed Description

StatInfo struct

container for base file meta-data, plateform agnostic stat struct.

## Field Documentation

## mode

mode_t Davix::StatInfo::mode

POSIX rights of the resource optional, supported with some Webdav servers

Referenced by fromPosixStat(), and toPosixStat().

## nlink

dav_ssize_t Davix::StatInfo::nlink

number of links to the resource optional

Referenced by fromPosixStat(), and toPosixStat().

The documentation for this struct was generated from the following file:

- /build/davix-vkLe3H/davix-0.8.10/include/davix/davix_file_types.hpp